Bug 806512 - PackageKit insists I have no updates, while yum check-update reports differently
PackageKit insists I have no updates, while yum check-update reports differently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-24 06:51 EDT by D.S. Ljungmark
Modified: 2013-02-13 09:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:42:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (703.57 KB, image/png)
2012-03-24 06:51 EDT, D.S. Ljungmark
no flags Details
A textfile of console output (24.17 KB, text/plain)
2012-03-24 06:56 EDT, D.S. Ljungmark
no flags Details

  None (edit)
Description D.S. Ljungmark 2012-03-24 06:51:05 EDT
Created attachment 572420 [details]
Screenshot

Description of problem:
Packagekit just told me there are no updates to my system, popping up a console and typing yum check-update shows me there are several available.

DefaultBackend is set to yum,zif in the PackageKit configuration file


Version-Release number of selected component (if applicable):

PackageKit-0.6.21-2.fc16.x86_64

How reproducible:
Attempt to use the PackageKit updates UI while there are updates on the computer

  
Actual results:
PackageKit says I have 7 updates, I install them, check yum, and there are several waiting. PackageKit doesn't list these.


Expected results:
All updates installed.


Additional info:
Comment 1 D.S. Ljungmark 2012-03-24 06:56:58 EDT
Created attachment 572421 [details]
A textfile of console output

Attaching a log showing updates in both zif and yum, whie PackageKit insists that there are no updates to be installed.
Comment 2 Fedora End Of Life 2013-01-16 08:48:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:42:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.